<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>AdminLTE 3 | Blank Page</title>

  <!-- DataTable-->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet"
    href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- daterange picker -->
  <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">
  <!-- Bootstrap Color Picker -->
  <link rel="stylesheet" href="plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
  <!-- Select2 -->
  <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <!-- Bootstrap4 Duallistbox -->
  <link rel="stylesheet" href="plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
  <!-- BS Stepper -->
  <link rel="stylesheet" href="plugins/bs-stepper/css/bs-stepper.min.css">
  <!-- dropzonejs -->
  <link rel="stylesheet" href="plugins/dropzone/min/dropzone.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <!-- Toastr -->
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css">



</head>

<body class="hold-transition sidebar-mini">
  <!-- Site wrapper -->
  <div class="wrapper">
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-purple navbar-dark">
      <!-- Left navbar links -->
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="index3.html" class="nav-link">Home</a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="#" class="nav-link">Users</a>
        </li>
      </ul>


    </nav>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-indigo bg-gray-dark elevation-4">
      <!-- Brand Logo -->
      <a href="index3.html" class="brand-link">
        <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
          style="opacity: .8">
        <span class="brand-text font-weight-light">Devcamp 120</span>
      </a>

      <!-- Sidebar -->
      <div class="sidebar">
        <!-- Sidebar user (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
          <div class="image">
            <img src="dist/img/avatar4.png" class="img-circle elevation-2" alt="User Image">
          </div>
          <div class="info">
            <a href="#" class="d-block">Harris Le</a>
          </div>
        </div>

        <!-- Sidebar Menu -->
        <nav class="mt-2">
          <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
            <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
            <li class="nav-item menu-open">
              <a href="#" class="nav-link active">
                <i class="nav-icon fas fa-tachometer-alt"></i>
                <p>
                  Dashboard
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="indexTask48.html" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Quản lý bảng điểm</p>
                  </a>
                <li class="nav-item">
                  <a href="indexTask49.html" class="nav-link active">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Quản lý đơn hàng</p>
                  </a>
              </ul>
            </li>
          </ul>
        </nav>
        <!-- /.sidebar-menu -->
      </div>
      <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
              <h1>Quản lý đơn hàng</h1>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="#">Home</a></li>
                <li class="breadcrumb-item active">Pizza 365</li>
              </ol>
            </div>
          </div>
        </div><!-- /.container-fluid -->
      </section>

      <!-- Main content -->
      <section class="content ">
        <div class="container-fluid">
          <div class="row text-center my-5">
            <div class="col-sm-12">
              <h3>ĐƠN HÀNG</h3>
            </div>
          </div>
          <div class="row form-group w-100 mx-auto p-5 bg-gray-dark rounded">
            <div class="col-sm-6">
              <div class="row">
                <div class="col-sm-4 text-center">
                  <label for="">Filter Loại Pizza</label>
                </div>
                <div class="col-sm-8">
                  <select id="select-filter-loai-pizza" class="form-control w-75">
                    <option value="all">All</option>
                    <option value="seafood">Hải sản</option>
                    <option value="hawaii">Hawaii</option>
                    <option value="bacon">Thịt xông khói</option>
                  </select>
                </div>
              </div>
            </div>
            <div class="col-sm-6">
              <div class="row">
                <div class="col-sm-4  text-center">
                  <label for="">Filter status</label>
                </div>
                <div class="col-sm-8">
                  <select id="select-filter-status" class="form-control w-75">
                    <option value="all">All</option>
                    <option value="open">Open</option>
                    <option value="confirmed">Confirmed</option>
                    <option value="cancel">Cancel</option>
                  </select>
                </div>
              </div>
            </div>
          </div>
          <div class="row ">
            <div class="col-sm-12">
              <button id="btn-add" class="btn btn-success h4 font-weight-bold"><i class="fas fa-plus"
                  style="font-size: 12px;"></i>
                Thêm</button>
            </div>
          </div>
          <div class="row text-center">
            <div class="col-sm-12">
              <table class="table table-bordered table-striped table-hover" id="table-order">
                <thead class="thead-dark">
                  <tr>
                    <th>Order id</th>
                    <th>Combo Pizza</th>
                    <th>Loại Pizza</th>
                    <th>Loại nước uống</th>
                    <th>Họ và tên</th>
                    <th>Số điện thoại</th>
                    <th>Địa chỉ</th>
                    <th>Email</th>
                    <th>Lời nhắn</th>
                    <th>Vourcher</th>
                    <th>Trang thái</th>
                    <th>Tổng thanh toán</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                </tbody>
              </table>
            </div>
          </div>
        </div>
        <!-- /.modal -->
        <!-- Modal create new data-->
        <div class="modal fade" id="modal-create">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header bg-gradient-success ">
                <h4 class="modal-title">Thêm mới</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <div class="row form-group">
                  <div class="col-sm-12">
                    <div class="form-group">
                      <label>Combo Pizza:</label>
                      <select id="select-add-combo" class="form-control select2bs4" style="width: 100%;">
                      </select>
                    </div>
                    <div class="row bg-light mx-3" style="font-size: 14px;">
                      <div class="col-sm-6">
                        <div class="form-group">
                          <label>Đường kính (cm):</label>
                          <input type="text" class=" text-purple text-center" id="inp-add-duongkinh" disabled>
                        </div>
                        <div class="form-group">
                          <label>Salad (g): </label>
                          <input type="text" class=" text-purple text-center" id="inp-add-salad" disabled>
                        </div>
                        <div class="form-group">
                          <label>Giá combo (VND):</label>
                          <input type="text" class=" text-purple text-center" id="inp-add-thanhtien" disabled>
                        </div>
                      </div>
                      <div class="col-sm-6">
                        <div class="form-group">
                          <label>Số lượng nước:</label>
                          <input type="text" class=" text-purple text-center" id="inp-add-slnuoc" disabled>
                        </div>
                        <div class="form-group">
                          <label>Số lượng sườn nướng:</label>
                          <input type="text" class=" text-purple text-center" id="inp-add-suon" disabled>
                        </div>
                      </div>
                    </div>
                    <div class="form-group">
                      <label>Loại Pizza:</label>
                      <select id="select-add-pizza-type" class="form-control select2bs4" style="width: 100%;">
                      </select>
                    </div>
                    <div class="form-group">
                      <label>Loại nước uống:</label>
                      <select id="select-add-drink" class="form-control select2bs4" style="width: 100%;">
                      </select>
                    </div>
                    <div class="form-group">
                      <label>Mã giảm giá:</label>
                      <input type="text" class="form-control select2bs4" id="inp-add-vourcher">
                    </div>
                    <div class="form-group">
                      <label>Tên:</label>
                      <input type="text" class="form-control select2bs4" id="inp-add-name" placeholder="Nhập tên...">
                    </div>
                    <div class="form-group">
                      <label>Số điện thoại:</label>
                      <input type="text" class="form-control select2bs4" id="inp-add-phone"
                        placeholder="Nhập số điện thoại...">
                    </div>
                    <div class="form-group">
                      <label>Địa chỉ:</label>
                      <input type="text" class="form-control select2bs4" id="inp-add-address"
                        placeholder="Nhập địa chỉ...">
                    </div>
                    <div class="form-group">
                      <label>Email:</label>
                      <input type="text" class="form-control select2bs4" id="inp-add-email">
                    </div>
                    <div class="form-group">
                      <label>Lời nhắn:</label>
                      <textarea type="text" class="form-control select2bs4" id="textarea-add-message"></textarea>
                    </div>
                  </div>
                </div>
              </div>
              <div class="modal-footer justify-content-between">
                <button type="button" class="btn btn-default" data-dismiss="modal">Hủy</button>
                <button type="button" class="btn btn-success">Tạo mới</button>
              </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
        <!-- Modal edit data -->
        <div class="modal fade" id="modal-edit">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header bg-gradient-info ">
                <h4 class="modal-title">Trạng thái đơn hàng</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body bg-gray-dark">
                <h5>Thông tin đơn hàng</h5>
                <div class="row form-group bg-gradient-gray  p-3 mx-3 border rounded" style="font-size: 12px;">
                  <div class="col-sm-6">
                    <div class="form-group">
                      <label>Combo Pizza: </label>
                      <input type="text" class=" text-purple text-center form-control" id="inp-edit-combo" disabled>
                    </div>
                    <div class="form-group">
                      <label>Loại Pizza: </label>
                      <input type="text" class=" text-purple text-center form-control" id="inp-edit-type-pizza"
                        disabled>
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-group">
                      <label>Loại nước uống:</label>
                      <input type="text" class=" text-purple text-center form-control" id="inp-edit-drink" disabled>
                    </div>
                    <div class="form-group">
                      <label>Vourcher giảm giá: </label>
                      <input type="text" class=" text-purple text-center form-control" id="inp-edit-vourcher" disabled>
                    </div>
                  </div>
                </div>
                <h5>Thông tin khách hàng</h5>
                <div class="row form-group bg-gradient-gray  p-3 mx-3 border rounded" style="font-size: 12px;">
                  <div class="col-sm-6">
                    <div class="form-group">
                      <label>Họ Tên: </label>
                      <input type="text" class=" text-purple text-center form-control" id="inp-edit-name" disabled>
                    </div>
                    <div class="form-group">
                      <label>Số điện thoại: </label>
                      <input type="text" class=" text-purple text-center form-control" id="inp-edit-phone" disabled>
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-group">
                      <label>Địa chỉ:</label>
                      <input type="text" class=" text-purple text-center form-control" id="inp-edit-address" disabled>
                    </div>
                    <div class="form-group">
                      <label>Email: </label>
                      <input type="text" class=" text-purple text-center form-control" id="inp-edit-email" disabled>
                    </div>
                  </div>
                </div>
                <h5>Cập nhật trạng thái đơn hàng</h5>
                <div class="row form-group bg-light p-3 mx-3 border rounded" style="font-size: 12px;">
                  <div class="col-sm-12">
                    <div class="form-group">
                      <label>Tổng thanh toán: </label>
                      <input type="text" class=" text-purple text-center form-control" id="inp-edit-total-price"
                        disabled>
                    </div>
                    <div class="form-group">
                      <label>Trạng thái: </label>
                      <select class="text-center bg-cyan border border-info form-control" id="select-edit-status">
                        <option value="open">open</option>
                        <option value="confirmed">confirmed</option>
                        <option value="cancel">cancel</option>
                      </select>
                    </div>
                  </div>
                </div>
              </div>
              <div class="modal-footer justify-content-between bg-gray-dark">
                <button type="button" class="btn btn-default" data-dismiss="modal">Quay lại</button>
                <button type="button" class="btn btn-success">Xác nhận</button>
              </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
        <!-- Modal warning data -->
        <div class="modal fade" id="modal-warning">
          <div class="modal-dialog">
            <div class="modal-content bg-danger">
              <div class="modal-header">
                <h4 class="modal-title">Warning ⚠️⚠️⚠️</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <p>Do you still want to continue deleting data?</p>
              </div>
              <div class="modal-footer justify-content-between">
                <button type="button" class="btn btn-light" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-warning">Delete</button>
              </div>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>
      </section>
      <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

    <footer class="main-footer">
      <div class="float-right d-none d-sm-block">
        <b>Version</b> 3.2.0
      </div>
      <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights reserved.
    </footer>

  </div>
  <!-- ./wrapper -->

  <!-- jQuery -->
  <script src="plugins/jquery/jquery.min.js"></script>
  <!-- Bootstrap 4 -->
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
  <!-- Select2 -->
  <script src="plugins/select2/js/select2.full.min.js"></script>
  <!-- Bootstrap4 Duallistbox -->
  <script src="plugins/bootstrap4-duallistbox/jquery.bootstrap-duallistbox.min.js"></script>
  <!-- InputMask -->
  <script src="plugins/moment/moment.min.js"></script>
  <script src="plugins/inputmask/jquery.inputmask.min.js"></script>
  <!-- date-range-picker -->
  <script src="plugins/daterangepicker/daterangepicker.js"></script>
  <!-- bootstrap color picker -->
  <script src="plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js"></script>
  <!-- Tempusdominus Bootstrap 4 -->
  <script src="plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
  <!-- BS-Stepper -->
  <script src="plugins/bs-stepper/js/bs-stepper.min.js"></script>
  <!-- dropzonejs -->
  <script src="plugins/dropzone/min/dropzone.min.js"></script>
  <!-- Toastr -->
  <script src="plugins/toastr/toastr.min.js"></script>
  <!-- AdminLTE App -->
  <script src="dist/js/adminlte.min.js"></script>
  <!-- AdminLTE for demo purposes -->
  <script src="dist/js/demo.js"></script>
  <!-- Page specific script -->

  <script>
    $(function () {

      //Initialize Select2 Elements
      $('.select2').select2();
      //Datemask dd/mm/yyyy
      $('#inp-add-exam-date').inputmask('dd/mm/yyyy', {
        'placeholder': 'dd/mm/yyyy'
      });
    });
  </script>
  <script>
    'use strict';
    const gBASE_URL = "http://42.115.221.44:8080/devcamp-pizza365/orders";
    const gBASE_URL_LIST_DRINK = "http://42.115.221.44:8080/devcamp-pizza365/drinks";
    var gListOrder;
    const gORDER_COLS = ["orderId", "kichCo", "loaiPizza", "idLoaiNuocUong", "hoTen", "soDienThoai", "diaChi", "email",
      "loiNhan", "idVourcher", "trangThai", "tongTien", "action"
    ];
    var gListTotalPrice = [];
    const gORDER_ID_COL = 0;
    const gORDER_MENU_COL = 1;
    const gORDER_PIZZA_TYPE_COL = 2;
    const gORDER_DRINK_COL = 3;
    const gORDER_NAME_COL = 4;
    const gORDER_PHONE_COL = 5;
    const gORDER_ADDRESS_COL = 6;
    const gORDER_EMAIL_COL = 7;
    const gORDER_MESSAGE_COL = 8;
    const gORDER_VOURCHER_COL = 9;
    const gORDER_status_COL = 10;
    const gORDER_TOTAL_PRICE_COL = 11;
    const gORDER_ACTION_COL = 12;
    var gComboPizza = [{
        kichCo: 'S',
        duongKinh: '20',
        suon: 2,
        salad: '200',
        soLuongNuoc: 2,
        thanhTien: 150000
      },
      {
        kichCo: 'M',
        duongKinh: '25',
        suon: 4,
        salad: '300',
        soLuongNuoc: 3,
        thanhTien: 200000
      },
      {
        kichCo: 'L',
        duongKinh: '30',
        suon: 8,
        salad: '500',
        soLuongNuoc: 4,
        thanhTien: 250000
      }
    ]

    var gListPizzaType = [{
      idPizzaType: "Seafood",
      namePizzaType: "Hải sản"
    }, {
      idPizzaType: "Hawaii",
      namePizzaType: "Hawaii"
    }, {
      idPizzaType: "Bacon",
      namePizzaType: "Thịt hun khói"
    }, ]

    var gIdOrderBtnClick;

    var gOrderTable = $("#table-order").DataTable({
      columns: [{
          data: gORDER_COLS[gORDER_ID_COL]
        },
        {
          data: gORDER_COLS[gORDER_MENU_COL]
        },
        {
          data: gORDER_COLS[gORDER_PIZZA_TYPE_COL]
        },
        {
          data: gORDER_COLS[gORDER_DRINK_COL]
        },
        {
          data: gORDER_COLS[gORDER_NAME_COL]
        },
        {
          data: gORDER_COLS[gORDER_PHONE_COL]
        },
        {
          data: gORDER_COLS[gORDER_ADDRESS_COL]
        },
        {
          data: gORDER_COLS[gORDER_EMAIL_COL]
        },
        {
          data: gORDER_COLS[gORDER_MESSAGE_COL]
        },
        {
          data: gORDER_COLS[gORDER_VOURCHER_COL]
        },
        {
          data: gORDER_COLS[gORDER_status_COL]
        },
        {
          data: gORDER_COLS[gORDER_TOTAL_PRICE_COL]
        },
        {
          data: gORDER_COLS[gORDER_ACTION_COL]
        }
      ],
      columnDefs: [{
        targets: gORDER_ACTION_COL,
        defaultContent: `
        <a class="btn btn-info btn-sm mb-1 btn-edit" href="#">
            <i class="fas fa-pencil-alt"></i>
            Edit
         </a>
         <a class="btn btn-danger btn-sm btn-delete" href="#">
            <i class="fas fa-trash"></i>
            Delete
            </a>`

      }]
    });

    onPageLoading();

    $(document).ready(function () {
      // btn thêm clicked
      $('#btn-add').on('click', function () {
        $('#modal-create').modal('show');
        // select comboPizza
        loadDataComboPizzaToSelect();
        $('#select-add-combo').change(function () {
          var vValueCombo = $("#select-add-combo option:selected").val();
          $.each(gComboPizza, function (key, val) {
            if (val.kichCo == vValueCombo) {
              $('#inp-add-duongkinh').val(val.duongKinh);
              $('#inp-add-salad').val(val.salad);
              $('#inp-add-thanhtien').val(val.thanhTien);
              $('#inp-add-slnuoc').val(val.soLuongNuoc);
              $('#inp-add-suon').val(val.suon);
            }
          })
          if (vValueCombo == 1) {
            $('#inp-add-duongkinh').val(' ');
            $('#inp-add-salad').val(' ');
            $('#inp-add-thanhtien').val(' ');
            $('#inp-add-slnuoc').val(' ');
            $('#inp-add-suon').val(' ');
          }
        });
        // select pizza type
        loadDataListPizzaToSelect();
        // select drink
        loadDataListDrinkToSelect();


      });

      // btn Tạo clicked
      $('#modal-create').on('click', '.btn-success', onBtnCreateClick);
      // btn Hủy
      $('#modal-create').on('click', '.btn-default', function () {
        resertCreateOrderForm();
      });

      // btn sửa thông tin
      $("#table-order").on('click', '.btn-edit', function () {
        $('#modal-edit').modal('show');
        onBtnEditClick(this);
      });
      // btn Xác nhận click
      $('#modal-edit').on('click', '.btn-success', onBtnConfirmClick);
      // btn xóa thông tin
      $("#table-order").on('click', '.btn-delete', function () {
        $('#modal-warning').modal('show');
        onBtnDeleteClick(this);
      });
      $('#modal-warning').on('click', '.btn-warning', function () {
        onBtnDeleteOrderClick();
      });

      // filter loại pizza
      $('#select-filter-loai-pizza').change(function () {
        onChangeSelectFilter();
      })
      // filter status pizza
      $('#select-filter-status').change(function () {
        onChangeSelectFilter();
      })
    })

    function onChangeSelectFilter(){
      var vFilterObj = {
      trangThai: '',
      loaiPizza: '',
    }
    getFilterData(vFilterObj);
    var vDataFilter = gListOrder.filter(function(paramOrder, index){
      return (vFilterObj.trangThai === 'all' || vFilterObj.trangThai.toUpperCase() === paramOrder.trangThai.toUpperCase())
      && (vFilterObj.loaiPizza === 'all' || vFilterObj.loaiPizza.toUpperCase() === paramOrder.loaiPizza.toUpperCase())
    });
    loadDataToTable(vDataFilter);
    }

    function getFilterData(paramFilterObj){
      'use strict';
      paramFilterObj.trangThai = $("#select-filter-status").val().trim();
      paramFilterObj.loaiPizza =  $('#select-filter-loai-pizza').val().trim();
    }

    function onPageLoading() {
      'use strict';
      callApiListOrder();
    }

    function onBtnCreateClick() {
      'use strict';
      var vNewDataObj = {
        kichCo: "",
        duongKinh: "",
        suon: "",
        salad: "",
        loaiPizza: "",
        idVourcher: "",
        idLoaiNuocUong: "",
        soLuongNuoc: "",
        hoTen: "",
        thanhTien: "",
        email: "",
        soDienThoai: "",
        diaChi: "",
        loiNhan: ""
      }
      getNewDataObj(vNewDataObj);
      var vValidData = validateDataInp(vNewDataObj);
      if (vValidData) {
        console.log(vNewDataObj);
        $.ajax({
          url: gBASE_URL,
          type: 'POST',
          data: JSON.stringify(vNewDataObj),
          contentType: "application/json; charset=utf-8",
          success: function (res) {
            toastr.success('Tạo mới thành công');
            console.log(res);
            callApiListOrder();
            resertCreateOrderForm();
            $('#modal-create').modal('hide');
          },
        })

      }
    }

    function onBtnEditClick(paramBtnEditClicked) {
      'use strict';
      var vRowClicked = $(paramBtnEditClicked).closest('tr');
      var vDataRow = gOrderTable.row(vRowClicked).data();
      gIdOrderBtnClick = vDataRow.id;
      console.log(gIdOrderBtnClick);
      $('#inp-edit-combo').val(vDataRow.kichCo);
      $('#inp-edit-type-pizza').val(vDataRow.loaiPizza);
      $('#inp-edit-drink').val(vDataRow.idLoaiNuocUong);
      $('#inp-edit-vourcher').val(vDataRow.giamGia);
      $('#inp-edit-name').val(vDataRow.hoTen);
      $('#inp-edit-phone').val(vDataRow.soDienThoai);
      $('#inp-edit-address').val(vDataRow.diaChi);
      $('#inp-edit-email').val(vDataRow.email);
      $('#inp-edit-total-price').val(vDataRow.tongTien);
      $('#select-edit-status').val(vDataRow.trangThai);
    }

    function onBtnDeleteClick(paramBtnDeleteClicked) {
      'use strict';
      var vRowClicked = $(paramBtnDeleteClicked).closest('tr');
      var vDataRow = gOrderTable.row(vRowClicked).data();
      gIdOrderBtnClick = vDataRow.id;

    }

    function onBtnDeleteOrderClick() {
      'use strict';
      $.ajax({
        url: gBASE_URL + "/" + gIdOrderBtnClick,
        type: 'DELETE',
        success: function () {
          toastr.success('Xóa thành công');
          callApiListOrder();
          $('#modal-warning').modal('hide');
        },
        error: function () {
          toastr.error('Xóa thất bại');
        }
      })
    }

    function onBtnConfirmClick() {
      'use strict';
      var vValStatus = $('#select-edit-status').val();
      var vDataUpdate = {
        trangThai: vValStatus,
      }
      if (vValStatus == 'open') {
        toastr.error('Chọn trạng thái cho đơn hàng');
        return;
      }
      $.ajax({
        url: gBASE_URL + "/" + gIdOrderBtnClick,
        type: 'PUT',
        data: JSON.stringify(vDataUpdate),
        contentType: "application/json;charset=UTF-8",
        success: function (res) {
          toastr.success('Cập nhật thành công');
          console.log(res)
          callApiListOrder();
          $('#modal-edit').modal('hide');
        },
        error: function () {
          toastr.error('Cập nhật thất bại');
        }
      })
    }

    function callApiListOrder() {
      'use strict';
      $.ajax({
        async: false,
        url: gBASE_URL,
        type: 'GET',
        data: 'json',
        success: function (res) {
          console.log(res);
          gListOrder = res;
          totalPrice(gListOrder);
          loadDataToTable(gListOrder);
        },
        error: function () {
          toastr.error('Gọi Api không thành công');
        }
      })
    }

    function loadDataToTable(paramDataOrder) {
      'use strict';
      gOrderTable.clear();
      gOrderTable.rows.add(paramDataOrder);
      gOrderTable.draw();
    }

    function loadDataComboPizzaToSelect() {
      'use strict';
      $('#select-add-combo').empty();
      $('#inp-add-duongkinh').val(' ');
      $('#inp-add-salad').val(' ');
      $('#inp-add-thanhtien').val(' ');
      $('#inp-add-slnuoc').val(' ');
      $('#inp-add-suon').val(' ');
      $('<option/>').val('1').text('Chọn Combo Pizza').appendTo('#select-add-combo');
      $.each(gComboPizza, function (key, val) {
        $('<option/>').val(val.kichCo).text(val.kichCo).appendTo('#select-add-combo');
      })
    }

    function loadDataListPizzaToSelect() {
      'use strict';
      $('#select-add-pizza-type').empty();
      $('<option/>').val('1').text('Chọn loại Pizza').appendTo('#select-add-pizza-type');
      $.each(gListPizzaType, function (key, val) {
        $('<option/>').val(val.idPizzaType).text(val.namePizzaType).appendTo('#select-add-pizza-type');
      })
    }

    function loadDataListDrinkToSelect() {
      'use strict';
      $('#select-add-drink').empty();
      $('<option/>').val('1').text('Chọn loại nước uống').appendTo('#select-add-drink');
      $.ajax({
        url: gBASE_URL_LIST_DRINK,
        type: 'GET',
        data: 'json',
        success: function (res) {
          console.log(res);
          $.each(res, function (key, val) {
            $('<option/>').val(val.maNuocUong).text(val.tenNuocUong).appendTo('#select-add-drink');
          })
        }
      })

    }

    function totalPrice(paramDataOrder) {
      'use strict';
      var vTotal;
      $.each(paramDataOrder, function (key, val) {
        vTotal = val.thanhTien - val.giamGia;
        paramDataOrder[key].tongTien = vTotal;
      })
    }

    function getNewDataObj(paramNewDataObj) {
      'use strict';
      paramNewDataObj.kichCo = $('#select-add-combo').val();
      paramNewDataObj.duongKinh = $('#inp-add-duongkinh').val();
      paramNewDataObj.suon = $('#inp-add-suon').val();
      paramNewDataObj.salad = $('#inp-add-salad').val();
      paramNewDataObj.loaiPizza = $('#select-add-pizza-type').val();
      paramNewDataObj.idVourcher = $('#inp-add-vourcher').val();
      paramNewDataObj.idLoaiNuocUong = $('#select-add-drink').val();
      paramNewDataObj.soLuongNuoc = $('#inp-add-slnuoc').val();
      paramNewDataObj.hoTen = $('#inp-add-name').val();
      paramNewDataObj.thanhTien = $('#inp-add-thanhtien').val();
      paramNewDataObj.email = $('#inp-add-email').val();
      paramNewDataObj.soDienThoai = $('#inp-add-phone').val();
      paramNewDataObj.diaChi = $('#inp-add-address').val();
      paramNewDataObj.loiNhan = $('#textarea-add-message').val();
    }

    function validateDataInp(paramNewDataObj) {
      'use strict';
      const vValidPhoneNumber = /^[\+]?[(]?[0-9]{3}[)]?[-\s\.]?[0-9]{3}[-\s\.]?[0-9]{4,6}$/im;
      const vValidEmail =
        /^(([^<>()[\]\.,;:\s@\"]+(\.[^<>()[\]\.,;:\s@\"]+)*)|(\".+\"))@(([^<>()[\]\.,;:\s@\"]+\.)+[^<>()[\]\.,;:\s@\"]{2,})$/i;
      if (paramNewDataObj.kichCo == 1) {
        toastr.error('Hãy chọn combo');
        return false;
      }
      if (paramNewDataObj.loaiPizza == 1) {
        toastr.error('Hãy chọn loại Pizza');
        return false;
      }
      if (paramNewDataObj.idLoaiNuocUong == 1) {
        toastr.error('Hãy chọn loại nước uống');
        return false;
      }
      if (paramNewDataObj.hoTen.trim() == "") {
        toastr.error('Nhập tên của bạn');
        return false;
      }
      if (paramNewDataObj.soDienThoai.trim() == "") {
        toastr.error('Nhập số điện thoại của bạn');
        return false;
      }
      if (vValidPhoneNumber.test(paramNewDataObj.soDienThoai) == false) {
        toastr.error('Số điện thoại không hợp lệ');
        return false;
      }
      if (paramNewDataObj.diaChi.trim() == "") {
        toastr.error('Nhập địa chỉ của bạn');
        return false;
      }
      if (vValidEmail.test(paramNewDataObj.email.trim()) == false) {
        toastr.error('Email không hợp lệ');
        return false;
      }
      return true;

    }

    function resertCreateOrderForm() {
      $("#inp-add-vourcher").val("");
      $("#inp-add-name").val("");
      $("#inp-add-phone").val("");
      $("#inp-add-address").val("");
      $("#inp-add-email").val("");
      $("#textarea-add-message").val("");
    }
  </script>


</body>

</html>